---
title: Modules extending ECA
---
# Modules extending ECA

## ECA submodules

### Providing ECA functionality

- ECA Access: Events and actions to control access on entities and fields - [plugins](/plugins/eca/access/index.md)
- ECA Base: Base events, conditions and actions - [plugins](/plugins/eca/base/index.md)
- ECA Cache: Actions to read, write or invalidate cache items - [plugins](/plugins/eca/cache/index.md)
- ECA Config: Config events - [plugins](/plugins/eca/config/index.md)
- ECA Content: Content entity events, conditions and actions - [plugins](/plugins/eca/content/index.md)
- ECA Form: Form API events, conditions and actions - [plugins](/plugins/eca/form/index.md)
- ECA Log: Events and actions for Drupal log messages - [plugins](/plugins/eca/log/index.md)
- ECA Migrate: Migrate events - [plugins](/plugins/eca/migrate/index.md)
- ECA Misc: Miscellaneous events and conditions from Drupal core and the kernel - [plugins](/plugins/eca/misc/index.md)
- ECA Queue: Events, conditions and actions for queued operations. - [plugins](/plugins/eca/queue/index.md)
- ECA User: User events, conditions and actions - [plugins](/plugins/eca/user/index.md)
- ECA Views: Execute and export Views query results within ECA - [plugins](/plugins/eca/views/index.md)
- ECA Workflow: Content entity workflow actions - [plugins](/plugins/eca/workflow/index.md)

### Others

- ECA UI: Provide access to ECA in Drupal's admin ui
- ECA Development: Provides Drush commands and code generators for developers

## Drupal contrib modules

- [ECA Context](https://www.drupal.org/project/eca_context) - [plugins](/plugins/eca/context/index.md)
- [ECA Entity Share](https://www.drupal.org/project/eca_entity_share)
    - Client - [plugins](/plugins/eca/entity_share_client/index.md)
    - Server - [plugins](/plugins/eca/entity_share_server/index.md)
- [ECA Parameters](https://www.drupal.org/project/eca_parameters) - [plugins](/plugins/eca/parameters/index.md)
- [ECA State Machine](https://www.drupal.org/project/eca_state_machine) - [plugins](/plugins/eca/state_machine/index.md)
- [ECA Tamper](https://www.drupal.org/project/eca_tamper) - [plugins](/plugins/eca/tamper/index.md)
- [ECA VBO](https://www.drupal.org/project/eca_vbo) - [plugins](/plugins/eca/vbo/index.md)
- [ECA Webform](https://www.drupal.org/project/eca_webform) - [plugins](/plugins/eca/webform/index.md)
- [Group Actions](https://www.drupal.org/project/group_action) - [plugins](/plugins/group_action/index.md)

### Hopefully in development

- [Address](https://www.drupal.org/project/address)
- [Drupal Audit Notification Subscription Event](https://www.drupal.org/project/danse)
- [Drupal Remote Dashboard](https://www.drupal.org/project/drd)
- [Entity](https://www.drupal.org/project/entity)
- [External Authentication](https://www.drupal.org/project/externalauth)
- [ImageMagick](https://www.drupal.org/project/imagemagick)
- [Feeds](https://www.drupal.org/project/feeds)
- [Flag](https://www.drupal.org/project/flag)
- [LDAP](https://www.drupal.org/project/ldap)
- [SimpleNews](https://www.drupal.org/project/simplenews)
- [Sophron](https://www.drupal.org/project/sophron)

## Known issues

### Variety of workflow modules

There are currently 3 modules providing workflows, states and transitions:

- Workflows: provided by Drupal core
- Workflow: contrib module
- State machine

It's important to know, that all three provide very similar functionality, but have absolutely nothing to do with each
other. This may be confusing, e.g. when reporting issues about ECA modelling around workflow, as long as it is not
expressed explicitly, which workflow "system" is being used.

Even more confusion has been seen in action, when not only one but 2 or even all 3 of those modules are enabled. It's
important to then pay extra attention to the mix of events, conditions and actions, so that the correct ones get
combined in a model, otherwise strange results or even errors will be created.
