---
title: "Determining entity create access"
tags:
- event
- eca_access
- eca event 1.1.0
---
# Determining entity create access

Available since: 1.1.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:context]` | Contains a list of properties depending on the context of the event. |
    | `[event:entity_bundle]` | The bundle of the entity. |
    | `[event:uid]` | The ID of the user account of the event. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |
    | `[account]` | The user account of the event. |

{!include/plugins/eca_access/event/access_create.md!}

## Fields

For any successor of this event, the account that asks for access is available under the &lt;strong&gt;[account]&lt;/strong&gt; token. Example: &lt;strong&gt;[account:uid]&lt;/strong&gt; provides the user ID of the account.

Furthermore, following data of the event is available:&lt;ul&gt;&lt;li&gt;&lt;strong&gt;[event:operation]&lt;/strong&gt; holds the requested operation, such as &quot;view&quot;.&lt;/li&gt;&lt;/ul&gt;

`Restrict by entity type ID`

:   Example: <em>node, taxonomy_term, user</em>

    {!include/plugins/eca_access/event/access_create/entity_type_id.md!}

`Restrict by entity bundle`

:   Example: <em>article, tags</em>

    {!include/plugins/eca_access/event/access_create/bundle.md!}

`Restrict by language code`

:   Example: <em>en</em>

    {!include/plugins/eca_access/event/access_create/langcode.md!}
