---
title: "Cache Raw: write"
tags:
- action
- eca_cache
- eca action 2.0.0
---
# Cache Raw: write

Available since: 2.0.0

Write a value item into raw cache.

{!include/plugins/eca_cache/action/eca_raw_cache_write.md!}

## Fields

`Cache item value`

:   The value to cache.<br/>This field supports tokens.

    {!include/plugins/eca_cache/action/eca_raw_cache_write/value.md!}

`Interpret above config value as YAML format`

:   Nested data can be set using YAML format, for example <em>mykey: myvalue</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_cache/action/eca_raw_cache_write/use_yaml.md!}

`Lifetime until expiry`

:   The lifetime in seconds until the cached value is considered invalid. Set to -1 for unlimited lifetime.

    {!include/plugins/eca_cache/action/eca_raw_cache_write/expire.md!}

`Cache tags`

:   Optionally add cache tags for fine-granular cache invalidation. Separate multiple tags with commas. More information about cache tags can be found in the <a href="https://www.drupal.org/docs/drupal-apis/cache-api/cache-tags" target="_blank" rel="nofollow noreferrer">documentation</a>.

    {!include/plugins/eca_cache/action/eca_raw_cache_write/tags.md!}

`Cache backend`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_raw_cache_write_backend</em>

    {!include/plugins/eca_cache/action/eca_raw_cache_write/backend.md!}

`Cache key`

:   The cache key is a unique machine name and identifies the cache item.<br/>This field supports tokens.

    {!include/plugins/eca_cache/action/eca_raw_cache_write/key.md!}
