---
title: "Entity reference field selection"
tags:
- event
- eca_content
- eca event 1.0.0
---
# Entity reference field selection

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_content/event/content_entity_reference_selection.md!}

## Fields

`Type (and bundle)`

:   

    {!include/plugins/eca_content/event/content_entity_reference_selection/type.md!}

`Restrict by field (machine name)`

:   The machine name of the field to restrict the event trigger.

    {!include/plugins/eca_content/event/content_entity_reference_selection/field_name.md!}

`Token name holding the selection`

:   The name of the token to hold the selection. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/event/content_entity_reference_selection/token_name.md!}
