---
title: "ECA Endpoint access"
tags:
- event
- eca_endpoint
- eca event 1.1.0
---
# ECA Endpoint access

Available since: 1.1.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:arguments]` | The arguments of the request path. |
    | `[event:uid]` | The ID of the user account of the request. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |
    | `[account]` | The user account of the event. |

{!include/plugins/eca_endpoint/event/eca_endpoint_access.md!}

## Fields

`First path argument`

:   The <strong>first</strong> path argument to match up. This argument will be resolved from the URL path <em>/eca/<strong>{first}</strong>/{second}</em>.

    {!include/plugins/eca_endpoint/event/eca_endpoint_access/first_path_argument.md!}

`Second path argument`

:   Optionally specify a second path argument to match up. This argument will be resolved from the URL path <em>/eca/{first}/<strong>{second}</strong></em>.

    {!include/plugins/eca_endpoint/event/eca_endpoint_access/second_path_argument.md!}
