---
title: "ECA Endpoint response"
tags:
- event
- eca_endpoint
- eca event 1.1.0
---
# ECA Endpoint response

Available since: 1.1.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:path_arguments]` | The arguments of the request path. |
    | `[event:request]` | The request. |
    | `[event:request:method]` | The request method, e.g. &quot;GET&quot; or &quot;POST&quot;. |
    | `[event:request:path]` | The requested path. |
    | `[event:request:query]` | The query arguments of the request. |
    | `[event:request:headers]` | The request headers. |
    | `[event:request:content_type]` | The content type of the request. |
    | `[event:request:content]` | The content of the POST request. |
    | `[event:request:ip]` | The client IP. |
    | `[event:uid]` | The ID of the user account of the request. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_endpoint/event/eca_endpoint_response.md!}

## Fields

`First path argument`

:   The <strong>first</strong> path argument to match up. This argument will be resolved from the URL path <em>/eca/<strong>{first}</strong>/{second}</em>.

    {!include/plugins/eca_endpoint/event/eca_endpoint_response/first_path_argument.md!}

`Second path argument`

:   Optionally specify a second path argument to match up. This argument will be resolved from the URL path <em>/eca/{first}/<strong>{second}</strong></em>.

    {!include/plugins/eca_endpoint/event/eca_endpoint_response/second_path_argument.md!}
