---
title: "Form field: set default value"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form field: set default value

Available since: 1.0.0

Prepopulates a default value in the form.

{!include/plugins/eca_form/action/eca_form_field_default_value.md!}

## Fields

`Value`

:   The default value to prepopulate.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_default_value/value.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_default_value/field_name.md!}

`Strip tags`

:   Whether stripping all <em>HTML</em> and <em>PHP</em> tags or not.

    {!include/plugins/eca_form/action/eca_form_field_default_value/strip_tags.md!}

`Trim`

:   Whether stripping all whitespaces at the beginning and end or not.

    {!include/plugins/eca_form/action/eca_form_field_default_value/trim.md!}

`Filter XSS`

:   Additionally filters out possible cross-site scripting (XSS) text.

    {!include/plugins/eca_form/action/eca_form_field_default_value/xss_filter.md!}
