---
title: "Form field: set submitted value"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form field: set submitted value

Available since: 1.0.0

Set or overwrite the submitted input value of a form field.

{!include/plugins/eca_form/action/eca_form_field_set_value.md!}

## Fields

`Field value`

:   <br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_set_value/field_value.md!}

`Interpret above value as YAML format`

:   Nested data can be set using YAML format, for example <em>mykey: "My value"</em>. When using this format, this options needs to be enabled.

    {!include/plugins/eca_form/action/eca_form_field_set_value/use_yaml.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_set_value/field_name.md!}

`Strip tags`

:   Whether stripping all <em>HTML</em> and <em>PHP</em> tags or not.

    {!include/plugins/eca_form/action/eca_form_field_set_value/strip_tags.md!}

`Trim`

:   Whether stripping all whitespaces at the beginning and end or not.

    {!include/plugins/eca_form/action/eca_form_field_set_value/trim.md!}

`Filter XSS`

:   Additionally filters out possible cross-site scripting (XSS) text.

    {!include/plugins/eca_form/action/eca_form_field_set_value/xss_filter.md!}
