---
title: "Entity form: compare operation"
tags:
- condition
- eca_form
- eca condition 1.0.0
---
# Entity form: compare operation

Available since: 1.0.0

Evaluates against the machine name of the entity form operation.

{!include/plugins/eca_form/condition/eca_form_operation.md!}

## Fields

`Operation`

:   The machine name of the operation. Example: <em>default, save, delete</em>

    {!include/plugins/eca_form/condition/eca_form_operation/operation.md!}

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_operation_operator</em>

    {!include/plugins/eca_form/condition/eca_form_operation/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_operation_type</em>

    {!include/plugins/eca_form/condition/eca_form_operation/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_form/condition/eca_form_operation/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_form/condition/eca_form_operation/negate.md!}
