---
title: "Build form"
tags:
- event
- eca_form
- eca event 1.0.0
---
# Build form

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[form]` | The current form.<br /> Alias: `current_form` |
    | `[form:id]` | The form ID. |
    | `[form:base_id]` | The form base ID. |
    | `[form:operation]` | The form operation. |
    | `[form:mode]` | The form mode. |
    | `[form:triggered]` | The form field name that triggered the form event. |
    | `[form:values]` |  |
    | `[form:values:FIELD_NAME]` | The field value for each of the named fields. |
    | `[form:num_errors]` | The number of form errors. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_form/event/form_form_build.md!}

## Fields

`Restrict by form ID`

:   The form ID can be mostly found in the HTML &lt;form&gt; element as "id" attribute.

    {!include/plugins/eca_form/event/form_form_build/form_id.md!}

`Restrict by entity type ID`

:   Example: <em>node, taxonomy_term, user</em>

    {!include/plugins/eca_form/event/form_form_build/entity_type_id.md!}

`Restrict by entity bundle`

:   Example: <em>article, tags</em>

    {!include/plugins/eca_form/event/form_form_build/bundle.md!}

`Restrict by operation`

:   Example: <em>default, save, delete</em>

    {!include/plugins/eca_form/event/form_form_build/operation.md!}
