---
title: "Log message created"
tags:
- event
- eca_log
- eca event 1.0.0
---
# Log message created

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[log]` | The logger data which dispatched the event. |
    | `[log:severity]` | The log message severity. |
    | `[log:message]` | The log message. |
    | `[log:message:raw]` | The raw log message. |
    | `[log:message:full]` | The full and formatted log message with all variables replaced. |
    | `[log:context]` | All context variables of the log message. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_log/event/log_log_message.md!}

## Fields

`Type`

:   The name of the logger type.

    {!include/plugins/eca_log/event/log_log_message/channel.md!}

`Minimum severity`

:   The minimum severity. E.g. "critical" also covers "alert" and below.

    {!include/plugins/eca_log/event/log_log_message/min_severity.md!}
