---
title: "Controller does not return a Response instance"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Controller does not return a Response instance

Available since: 1.0.0

Fires, when a controller does not return a Response instance.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:method]` | The request method, e.g. &quot;GET&quot; or &quot;POST&quot;. |
    | `[event:path]` | The requested path. |
    | `[event:query]` | The query arguments of the request. |
    | `[event:headers]` | The request headers. |
    | `[event:content_type]` | The content type of the request. |
    | `[event:content]` | The content of the POST request. |
    | `[event:ip]` | The client IP. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_misc/event/kernel_view.md!}

