---
title: "ECA processing queued task"
tags:
- event
- eca_queue
- eca event 1.0.0
---
# ECA processing queued task

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_queue/event/eca_queue_processing_task.md!}

## Fields

`Task name`

:   The task name will be used to identify, what type of task is to be processed. When multiple tasks are created that are of the same nature, they should share the same task name.

    {!include/plugins/eca_queue/event/eca_queue_processing_task/task_name.md!}

`Task value (optional)`

:   

    {!include/plugins/eca_queue/event/eca_queue_processing_task/task_value.md!}

`Distribute: Process tasks of this name in their own queue.`

:   

    {!include/plugins/eca_queue/event/eca_queue_processing_task/distribute.md!}

`Cron run time (seconds)`

:   <strong>Please note:</strong> This option is only available when the <em>Distribute</em> option is enabled above. Leave empty to disable processing when running cron.

    {!include/plugins/eca_queue/event/eca_queue_processing_task/cron.md!}
