---
title: "Render: image"
tags:
- action
- eca_render
- eca action 1.1.0
---
# Render: image

Available since: 1.1.0

Build an image HTML element (not responsive).

{!include/plugins/eca_render/action/eca_render_image_image.md!}

## Fields

`URI`

:   Either the relative path of the file or a full URL.

    {!include/plugins/eca_render/action/eca_render_image_image/uri.md!}

`Style name`

:   Optionally, specify the configuration ID of the image style to use.

    {!include/plugins/eca_render/action/eca_render_image_image/style_name.md!}

`Alt text`

:   Specify the alternative text for text-based browsers.

    {!include/plugins/eca_render/action/eca_render_image_image/alt.md!}

`Title`

:   Optionally specify the value of the title attribute.

    {!include/plugins/eca_render/action/eca_render_image_image/title.md!}

`Width`

:   Optionally specify the value of the width attribute.

    {!include/plugins/eca_render/action/eca_render_image_image/width.md!}

`Height`

:   Optionally specify the value of the height attribute.

    {!include/plugins/eca_render/action/eca_render_image_image/height.md!}

`Machine name`

:   Optionally define a machine name of this render element. It will be made available under that name in the render array of the current event in scope. Nested elements can be set with using "][" brackets, for example <em>details][title</em>.

    {!include/plugins/eca_render/action/eca_render_image_image/name.md!}

`Token name`

:   Optionally define a token name of this render element. It will be made available under that token name for later usage. Please provide the token name only, without brackets.

    {!include/plugins/eca_render/action/eca_render_image_image/token_name.md!}

`Element weight`

:   Optionally specify an element weight. The lower the weight, the element appears before other elements having a higher weight.

    {!include/plugins/eca_render/action/eca_render_image_image/weight.md!}

`Build mode`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_render_image:image_mode</em>

    {!include/plugins/eca_render/action/eca_render_image_image/mode.md!}
