---
title: "ECA entity"
tags:
- event
- eca_render
- eca event 2.0.0
---
# ECA entity

Available since: 2.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:display]` | The entity display. |
    | `[event:entity]` | The entity. |
    | `[event:mode]` | The view mode. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_render/event/eca_render_entity.md!}

## Fields

`Restrict by entity type ID`

:   Example: <em>node, taxonomy_term, user</em>

    {!include/plugins/eca_render/event/eca_render_entity/entity_type_id.md!}

`Restrict by entity bundle`

:   Example: <em>article, tags</em>

    {!include/plugins/eca_render/event/eca_render_entity/bundle.md!}
