---
title: "ECA entity operation links"
tags:
- event
- eca_render
- eca event 1.1.0
---
# ECA entity operation links

Available since: 1.1.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_render/event/eca_render_entity_operations.md!}

## Fields

`Restrict by entity type ID`

:   Example: <em>node, taxonomy_term, user</em>

    {!include/plugins/eca_render/event/eca_render_entity_operations/entity_type_id.md!}

`Restrict by entity bundle`

:   Example: <em>article, tags</em>

    {!include/plugins/eca_render/event/eca_render_entity_operations/bundle.md!}
