---
title: "VBO: Execute Views bulk operation (one by one)"
tags:
- event
- eca_vbo
- eca_vbo event 1.0.0
---
# VBO: Execute Views bulk operation (one by one)

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:view]` | The view config entity. |
    | `[event:view:id]` | The view ID. |
    | `[event:view:display_id]` | The display ID. |
    | `[event:action]` | The action plugin. |
    | `[event:action:plugin]` | The ID of the action plugin. |
    | `[event:action:config]` | An array with key value pairs of the configuration of the plugin. |
    | `[event:entity]` | The currently processed entity. |
    | `[event:entity:id]` | The entity ID. |
    | `[event:entity:label]` | The entity label. |
    | `[event:entity:type]` | The ID of the entity type. |
    | `[event:entity:bundle]` | The bundle of the entity. |
    | `[event:entity:langcode]` | The language code ID of the entity. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_vbo/event/vbo_execute.md!}

## Fields

`Operation name`

:   The operation name identifies this process and will show up in the bulk operations configuration form as selectable action. If you need custom access handling using the operation name, then make sure that the Views configuration is using the <em>ECA bulk operations</em> Views field plugin.<br/>By using one-by-one execution (for each single entity), you have following tokens available:<ul><li><em>[event:view]</em> containing info about the used view</li><li><em>[event:action]</em> containing info about the executed action</li><li><em>[event:entity]</em> containing info about the entity in scope</li></ul>

    {!include/plugins/eca_vbo/event/vbo_execute/operation_name.md!}

`Optionally restrict by view ID`

:   

    {!include/plugins/eca_vbo/event/vbo_execute/view_id.md!}

`Optionally restrict by view display ID`

:   

    {!include/plugins/eca_vbo/event/vbo_execute/display_id.md!}
